0.19 RC2 - Issue with mvn POM and sigar dependency


(ppearcy) #1

Hey Kimchy,
Looks like there is an issue with the current POM:
https://oss.sonatype.org/content/repositories/releases/org/elasticsearch/elasticsearch/0.19.0.RC2/elasticsearch-0.19.0.RC2.pom

I see this entry:

sigar
sigar
1.6.4
system
/Users/kimchy/work/elasticsearch/elasticsearch/lib/sigar/
sigar-1.6.4.jar
true

mvn ends up giving this error when building against it:
[ERROR] 'dependencies.dependency.systemPath' for sigar:sigar:jar must
specify an absolute path but is /Users/kimchy/work/elasticsearch/
elasticsearch/lib/sigar/sigar-1.6.4.jar @

Thanks!
Paul


(David Pilato) #2

Hi Paul,

I raised an issue about this here :


https://github.com/elasticsearch/elasticsearch/issues/1691

David.

Le 13 février 2012 à 08:14, ppearcy ppearcy@gmail.com a écrit :

Hey Kimchy,
Looks like there is an issue with the current POM:

https://oss.sonatype.org/content/repositories/releases/org/elasticsearch/elasticsearch/0.19.0.RC2/elasticsearch-0.19.0.RC2.pom

I see this entry:

sigar
sigar
1.6.4
system
/Users/kimchy/work/elasticsearch/elasticsearch/lib/sigar/
sigar-1.6.4.jar
true

mvn ends up giving this error when building against it:
[ERROR] 'dependencies.dependency.systemPath' for sigar:sigar:jar must
specify an absolute path but is /Users/kimchy/work/elasticsearch/
elasticsearch/lib/sigar/sigar-1.6.4.jar @

Thanks!
Paul

--
David Pilato
http://dev.david.pilato.fr/
Twitter : @dadoonet


(Shay Banon) #3

Do you get this with the maven eclipse plugin?

On Monday, February 13, 2012 at 9:56 AM, david@pilato.fr wrote:

Hi Paul,

I raised an issue about this here :

https://github.com/elasticsearch/elasticsearch/issues/1691

David.

Le 13 février 2012 à 08:14, ppearcy <ppearcy@gmail.com (mailto:ppearcy@gmail.com)> a écrit :

Hey Kimchy,
Looks like there is an issue with the current POM:
https://oss.sonatype.org/content/repositories/releases/org/elasticsearch/elasticsearch/0.19.0.RC2/elasticsearch-0.19.0.RC2.pom

I see this entry:

sigar
sigar
1.6.4
system
/Users/kimchy/work/elasticsearch/elasticsearch/lib/sigar/
sigar-1.6.4.jar
true

mvn ends up giving this error when building against it:
[ERROR] 'dependencies.dependency.systemPath' for sigar:sigar:jar must
specify an absolute path but is /Users/kimchy/work/elasticsearch/
elasticsearch/lib/sigar/sigar-1.6.4.jar @

Thanks!
Paul

--
David Pilato
http://dev.david.pilato.fr/
Twitter : @dadoonet


(ppearcy) #4

Thanks David, should have searched for that before posting.

I'm using mvn command line. Will keep track of things via that
ticket.

Best Regards,
Paul

On Feb 13, 11:30 am, Shay Banon kim...@gmail.com wrote:

Do you get this with the maven eclipse plugin?

On Monday, February 13, 2012 at 9:56 AM, da...@pilato.fr wrote:

Hi Paul,

I raised an issue about this here :

https://github.com/elasticsearch/elasticsearch/issues/1691

David.

Le 13 février 2012 à 08:14, ppearcy <ppea...@gmail.com (mailto:ppea...@gmail.com)> a écrit :

Hey Kimchy,
Looks like there is an issue with the current POM:
https://oss.sonatype.org/content/repositories/releases/org/elasticsea...

I see this entry:

sigar
sigar
1.6.4
system
/Users/kimchy/work/elasticsearch/elasticsearch/lib/sigar/
sigar-1.6.4.jar
true

mvn ends up giving this error when building against it:
[ERROR] 'dependencies.dependency.systemPath' for sigar:sigar:jar must
specify an absolute path but is /Users/kimchy/work/elasticsearch/
elasticsearch/lib/sigar/sigar-1.6.4.jar @

Thanks!
Paul

--
David Pilato
http://dev.david.pilato.fr/
Twitter : @dadoonet


(system) #5